Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3038 - kernel-2.2.5 does not correctly detect certain cdroms
Summary: kernel-2.2.5 does not correctly detect certain cdroms
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-05-25 14:02 UTC by Stephen John Smoogen
Modified: 2008-08-01 16:22 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Stephen John Smoogen 1999-05-25 14:02:32 UTC
We have recieved several reports of the 2.2.5 kernel not
seeing certain ATAPI cdroms.

[-- Attachment #2 [details]: cd_r580B_2.2.5.diff --]
[-- Type: text/plain, Encoding: 7bit, Size: 0.5K --]

--- drivers/block/ide-cd.c~     Thu Apr  1 17:07:21 1999
+++ drivers/block/ide-cd.c      Thu Apr  1 17:07:27 1999
@@ -3005,9 +3005,6 @@
                        CDROM_CONFIG_FLAGS
(drive)->limit_nframes = 1;
                else if (!strcmp(drive->id->model, "SAMSUNG
CD-ROM SCR-2432"))
                        CDROM_CONFIG_FLAGS
(drive)->limit_nframes = 1;
-               else if (!strcmp (drive->id->model,
"GCD-R580B"))
-                       CDROM_CONFIG_FLAGS
(drive)->limit_nframes = 1;
-                               /* 124/SECTORS_PER_FRAME; ?
*/

}

 #if !
STANDARD_ATAPI

Comment 1 Jay Turner 1999-06-28 15:44:59 UTC
This issue has been forwarded to a developer for further action.

Comment 2 Cristian Gafton 1999-07-02 22:10:59 UTC
Alan, any opinions on this one?


Note You need to log in before you can comment on or make changes to this bug.